Kyoto Cabinet: kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator Class Reference

Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator Class Reference

Iterator of records. More...

`#include <kcmap.h>`

List of all members.

## Public Member Functions
| Iterator (const Iterator &src)
| Copy constructor.
const KEY & | key ()
| Get the key.
VALUE & | value ()
| Get the value.
Iterator & | operator= (const Iterator &right)
| Assignment operator from the self type.
bool | operator== (const Iterator &right) const
| Equality operator with the self type.
bool | operator!= (const Iterator &right) const
| Non-equality operator with the self type.
Iterator & | operator++ ()
| Preposting increment operator.
Iterator | operator++ (int)
| Postpositive increment operator.
Iterator & | operator-- ()
| Preposting decrement operator.
Iterator | operator-- (int)
| Postpositive decrement operator.
## Friends
class | LinkedHashMap

## Detailed Description

### template<class KEY, class VALUE, class HASH = std::hash<KEY>, class EQUALTO = std::equal_to<KEY>>
class kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator

Iterator of records.

## Constructor & Destructor Documentation

template<class KEY , class VALUE , class HASH = std::hash<KEY>, class EQUALTO = std::equal_to<KEY>>

kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator::Iterator | ( | const Iterator & | src | ) |

Copy constructor.

Parameters:

  src | the source object.

## Member Function Documentation

template<class KEY , class VALUE , class HASH = std::hash<KEY>, class EQUALTO = std::equal_to<KEY>>

const KEY& kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator::key | ( |  | ) |

Get the key.

template<class KEY , class VALUE , class HASH = std::hash<KEY>, class EQUALTO = std::equal_to<KEY>>

VALUE& kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator::value | ( |  | ) |

Get the value.

template<class KEY , class VALUE , class HASH = std::hash<KEY>, class EQUALTO = std::equal_to<KEY>>

Iterator& kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator::operator= | ( | const Iterator & | right | ) |

Assignment operator from the self type.

Parameters:

  right | the right operand.

Returns:
  the reference to itself.

template<class KEY , class VALUE , class HASH = std::hash<KEY>, class EQUALTO = std::equal_to<KEY>>

bool kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator::operator== | ( | const Iterator & | right | ) | const

Equality operator with the self type.

Parameters:

  right | the right operand.

Returns:
  true if the both are equal, or false if not.

template<class KEY , class VALUE , class HASH = std::hash<KEY>, class EQUALTO = std::equal_to<KEY>>

bool kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator::operator!= | ( | const Iterator & | right | ) | const

Non-equality operator with the self type.

Parameters:

  right | the right operand.

Returns:
  false if the both are equal, or true if not.

template<class KEY , class VALUE , class HASH = std::hash<KEY>, class EQUALTO = std::equal_to<KEY>>

Iterator& kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator::operator++ | ( |  | ) |

Preposting increment operator.

Returns:
  the iterator itself.

template<class KEY , class VALUE , class HASH = std::hash<KEY>, class EQUALTO = std::equal_to<KEY>>

Iterator kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator::operator++ | ( | int |  | ) |

Postpositive increment operator.

Returns:
  an iterator of the old position.

template<class KEY , class VALUE , class HASH = std::hash<KEY>, class EQUALTO = std::equal_to<KEY>>

Iterator& kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator::operator-- | ( |  | ) |

Preposting decrement operator.

Returns:
  the iterator itself.

template<class KEY , class VALUE , class HASH = std::hash<KEY>, class EQUALTO = std::equal_to<KEY>>

Iterator kyotocabinet::LinkedHashMap< KEY, VALUE, HASH, EQUALTO >::Iterator::operator-- | ( | int |  | ) |

Postpositive decrement operator.

Returns:
  an iterator of the old position.